<?php
global $edit_quiz;
?>
<h2>Matt's Quiz
    Plugin &raquo; <?php if ($edit_quiz) echo 'Edit "' . $edit_quiz . '"'; else echo 'Create New Quiz'; ?></h2>

<?php

if ($_POST['action'] == 'create-now') {

    $quizes = get_option(QUIZES_OPTION_NAME);

    if (!is_array($quizes)) {
        $quizes = array();
    }

    if ($quiz = @$quizes[$_POST['edit-quiz']]) {
        ;
    } else {
        $quiz = array();
    }

    if ($quiz['name'] != $_POST['quiz']['name']) {
        unset($quizes[$quiz['name']]);
    }

    $quiz['name'] = $_POST['quiz']['name'];
    $quiz['description'] = $_POST['quiz']['description'];
    $quiz['thankyou'] = $_POST['quiz']['thankyou'];

    $booleans_count = 0;

    $quiz['questions'] = array();

    foreach ($_POST['question-type'] as $i => $val) {

        if ($_POST['question-type'][$i] == 'boolean') {

            $quiz['questions'][] = array(
                'type' => $val,
                'text' => $_POST['question-text'][$booleans_count],
                'answer' => $_POST['question-answer'][$booleans_count],
                'answer-text' => $_POST['question-answer-text'][$booleans_count],
                'true-label' => $_POST['question-true-label'][$booleans_count],
                'false-label' => $_POST['question-false-label'][$booleans_count]
            );

            $booleans_count++;
        }
    }

    $quizes[$quiz['name']] = $quiz;

    update_option(QUIZES_OPTION_NAME, $quizes);

    echo '<script>location.href="', admin_url('?page=mattsquiz-main&message=saved') . '";</script>';
}

if ($edit_quiz) {

    $quizes = get_option(QUIZES_OPTION_NAME);
    $edit_quiz = $quizes[$edit_quiz];
}
?>

<div class="wrap">

    <script type="text/javascript">
        jQuery(document).ready(function () {


            jQuery('.question .remove').live('click', function () {
                if (confirm('Remove this question?')) {
                    jQuery(this).parent().parent().remove()
                }
                return false;
            });
            jQuery('.question .up').live('click', function () {
                var curr = jQuery(this).parent().parent();
                var el = curr.prev();
                if (el) {
                    curr.insertBefore(el);
                }
                return false;
            });
            jQuery('.question .down').live('click', function () {
                var curr = jQuery(this).parent().parent();
                var el = curr.next();
                if (el) {
                    curr.insertAfter(el);
                }
                return false;
            });
            jQuery('.new-question').click(function () {

                var type = jQuery('#question-type').val();

                if (type == 'boolean') {

                    var booleanType = '<div class="question question-boolean"><div class="actions"><a class="up" href="#"></a><a class="down" href="#"></a><a class="remove" href="#"></a></div>' +
                        '<input type="hidden" name="question-type[]" value="boolean">' +
                        '<div class="field">' +
                        '<label>Question:</label><input type="text" style="width: 300px;" name="question-text[]" value=""><div class="clear"></div>' +
                        '</div>' +
                        '' +
                        '<div class="field">' +
                        '<label>Correct Answer:</label><select name="question-answer[]"><option value="1">True</option><option value="0">False</option></select><div class="clear"></div>' +
                        '</div>' +
                        '' +
                        '<div class="field">' +
                        '<label>True Label:</label><input type="text" name="question-true-label[]"><small>(Default: Yes)</small><div class="clear"></div>' +
                        '</div>' +
                        '' +
                        '<div class="field">' +
                        '<label>False Label:</label><input type="text" name="question-false-label[]"><small>(Default: No)</small><div class="clear"></div>' +
                        '</div>' +
                        '' +
                        '</div>';

                    jQuery(booleanType).appendTo(jQuery('.questions'));

                }

                return false;
            });

        });
    </script>

    <p><a class="button" href="<?php echo admin_url('admin.php?page=mattsquiz-main');?>">Back</a></p>

    <form action="" method="post">

        <?php if ($edit_quiz) echo '<input type="hidden" name="edit-quiz" value="' . stripslashes_deep($edit_quiz['name']) . '">'; ?>
        <input type="hidden" name="action" value="create-now">

        <div class="main-settings">

            <div class="field">
                <label for="quiz-name">Name:</label>
                <input class="text" type="text" name="quiz[name]" id="quiz-name"
                       value="<?php echo stripslashes_deep($edit_quiz['name']); ?>">

                <div class="clear"></div>
            </div>

            <div class="field">
                <label for="quiz-description">Description:</label>
                <textarea name="quiz[description]" id="quiz-description" cols="30"
                          rows="10"><?php echo stripslashes_deep($edit_quiz['description']); ?></textarea>

                <div class="clear"></div>
            </div>

            <div class="field">
                <label for="quiz-thankyou">Result Message:<br>
                    <small>(default: Thank You!)</small>
                </label>
                <textarea name="quiz[thankyou]" id="quiz-thankyou" cols="30"
                          rows="10"><?php echo stripslashes_deep($edit_quiz['thankyou']); ?></textarea>

                <div class="clear"></div>
            </div>

        </div>

        <div class="field">
            <label for="question-type">Type:</label>
            <select name="question-type" id="question-type">
                <option value="boolean">True/False</option>
            </select>
            <a style="margin-left: 10px;display: inline-block;" href="#" class="button new-question">Add Question</a>

            <div class="clear"></div>
        </div>


        <div class="questions">
            <?php
            if ($edit_quiz['questions']) {
                foreach ($edit_quiz['questions'] as $q) {

                    if ($q['type'] == 'boolean' || !$q['type']) {
                        ?>
                        <div class="question question-boolean">
                            <div class="actions"><a class="up" href="#"></a><a class="down" href="#"></a><a
                                class="remove" href="#"></a></div>
                            <input type="hidden" name="question-type[]" value="boolean">

                            <div class="field">
                                <label>Question:</label><input type="text" style="width: 300px;" name="question-text[]"
                                                               value="<?php echo stripslashes_deep($q['text']); ?>">

                                <div class="clear"></div>
                            </div>
                            <div class="field">
                                <label>Correct Answer:</label><select name="question-answer[]">
                                <option <?php echo ($q['answer'] == '1' ? 'selected="selected"' : ''); ?> value="1">
                                    True
                                </option>
                                <option <?php echo ($q['answer'] == '0' ? 'selected="selected"' : ''); ?> value="0">
                                    False
                                </option>
                            </select>

                                <div class="clear"></div>
                            </div>
                            <div class="field">
                                <label>Answer:</label><input type="text" style="width: 300px;" name="question-answer-text[]"
                                                               value="<?php echo stripslashes_deep($q['answer-text']); ?>">

                                <div class="clear"></div>
                            </div>
                            <div class="field">
                                <label>True Label:</label><input type="text" name="question-true-label[]"
                                                                 value="<?php echo stripslashes_deep($q['true-label']); ?>">
                                <small>(Default: Yes)</small>
                                <div class="clear"></div>
                            </div>
                            <div class="field">
                                <label>False Label:</label><input type="text" name="question-false-label[]"
                                                                  value="<?php echo stripslashes_deep($q['false-label']); ?>">
                                <small>(Default: No)</small>
                                <div class="clear"></div>
                            </div>
                        </div>
                        <?php
                    }

                }
            }
            ?>
        </div>

        <div class="field">
            <input class="button-primary" type="submit" value="Save Changes">

            <div class="clear"></div>
        </div>
    </form>
</div>